Get the current lab
Return details about the lab the API key belongs to, including its contact information, primary address and licenses.
Try it
Log in to send test requests to this endpoint straight from the docs.
Responses
200 Success
Show 7 child attributes Hide 7 child attributes
Lab ID
Lab Name
Lab Email
Lab Phone
Lab Website
Show 6 child attributes Hide 6 child attributes
Address ID
Street address line 1
Street address line 2
City
Two letter state abbreviation
Zipcode
Show 6 child attributes Hide 6 child attributes
License ID
License Number
License Code (some states only)
Human entered name for license
License Designation Name [changes by state]
License Type Name [changes by state]
400 Bad request
The request was malformed or failed validation. Validation failures include per-field messages in error_details.
Possible error_code values: invalid_request, request_too_old.
401 Unauthorized
Authentication failed.
Possible error_code values: missing_api_key, invalid_api_key, invalid_credentials_type, api_access_restricted, api_access_denied, missing_signature, missing_timestamp, invalid_timestamp, invalid_signature.
403 Permission denied
The API key is valid but does not have permission for this endpoint (for example, a client key calling a labs endpoint).
Possible error_code values: permission_denied.
# X-ConfidentLims-Signature: see the Request Signing guide - https://api.confidentcannabis.com/v0/docs/request-signing.md curl -X GET 'https://api.confidentcannabis.com/v0/labs/lab' \ -H 'X-ConfidentLims-APIKey: YOUR_API_KEY' \ -H 'X-ConfidentLims-Timestamp: UNIX_TIMESTAMP' \ -H 'X-ConfidentLims-Signature: REQUEST_SIGNATURE'
import time import requests # sign_request() is defined in the Request Signing guide: # https://api.confidentcannabis.com/v0/docs/request-signing.md from sign_request import sign_request API_KEY = 'YOUR_API_KEY' API_SECRET = 'YOUR_API_SECRET' path = '/v0/labs/lab' headers = {'X-ConfidentLims-Timestamp': str(int(time.time()))} headers['X-ConfidentLims-Signature'] = sign_request( 'GET', path, headers, {}, API_KEY, API_SECRET) headers['X-ConfidentLims-APIKey'] = API_KEY response = requests.get( 'https://api.confidentcannabis.com' + path, headers=headers, ) print(response.json())
// signRequest() is defined in the Request Signing guide: // https://api.confidentcannabis.com/v0/docs/request-signing.md import { signRequest } from './sign_request.js'; const API_KEY = 'YOUR_API_KEY'; const API_SECRET = 'YOUR_API_SECRET'; const path = "/v0/labs/lab"; const headers = { 'X-ConfidentLims-Timestamp': String(Math.floor(Date.now() / 1000)) }; headers['X-ConfidentLims-Signature'] = signRequest( "GET", path, headers, {}, API_KEY, API_SECRET); headers['X-ConfidentLims-APIKey'] = API_KEY; const response = await fetch("https://api.confidentcannabis.com" + path, { headers, }); console.log(await response.json());
{
"success": true,
"lab": {
"id": 12,
"name": "Green Leaf Labs",
"email": "support@greenleaflabs.com",
"phone": "5035550188",
"url": "https://greenleaflabs.com",
"primary_address": {
"id": 771,
"address_line_1": "1400 Industrial Way",
"address_line_2": "Suite 4",
"city": "Sacramento",
"state_abbreviation": "CA",
"zipcode": "95811"
},
"licenses": [
{
"id": 87,
"license_number": "C8-0000123-LIC",
"license_code": null,
"nickname": "Sacramento testing lab",
"license_designation_name": "Adult Use and Medicinal",
"license_type_name": "Testing Laboratory"
}
]
}
}